<?php

namespace App\Controller\Frontend;


use App\Entity\Site\Page;
use Symfony\Component\HttpFoundation\Response;

class MentionController extends DefaultController
{
    public function mention(): Response
    {
        $pageRepository = $this->em->getRepository(Page::class);

        return $this->render(
            'page/page.html.twig',
            [
                'controller_name' => 'IndexController',
                'page' => $pageRepository->findOneByDevAlias('legal-mention')
            ]
        );
    }
}